
Infrastructure - Bug #1166

Ensure ServerName is set in apache config

2010-12-20 22:55 - Robert Waltz

Status: Closed Start date: 2010-12-20

Priority: Normal Due date:  

Assignee: Robert Waltz % Done: 100%

Category: d1_cn_buildout Estimated time: 0.00 hour

Target version: Sprint-2011.40-Block.5   

Milestone: CCI-0.6.4 Story Points:  

Product Version: *   

Description

ServerName in cn and cn-ssl should be set to the dataone.org name associated with a server, either in the documentation or

elsewhere

cn-xx-x.dataone.org should be set in the /etc/hosts file.  The setup script will need to parse the hosts file and update the apache

config files with the appropriate name

hostname -f should be used instead of parsing /etc/hosts file. 

Confirm documentation that administrator will receive correct FQDN when executing hostname -f

History

#1 - 2011-02-04 17:07 - Robert Waltz

- Target version set to Sprint-2011.05

#2 - 2011-02-04 17:13 - Robert Waltz

- Target version deleted (Sprint-2011.05)

- Milestone set to CCI-0.6

#3 - 2011-05-23 18:10 - Robert Waltz

- Milestone deleted (CCI-0.6)

#4 - 2011-08-30 02:09 - Dave Vieglais

- Position changed from 1 to 234

- Position set to 1

#5 - 2011-08-30 02:12 - Dave Vieglais

- Position deleted (240)

- Position set to 1

#6 - 2011-08-30 15:32 - Matthew Jones

- Milestone set to None

Seems to me this should actually be set to 'cn.dataone.org' as that is the incoming web address.  Alternatively, cn.dataone.org could be a ServerAlias

on all of the hosts.  the cn?.dataone.org names won't be called during normal operations.

#7 - 2011-09-14 11:22 - Dave Vieglais

- Target version set to Sprint-2011.37-Block.5

- Position set to 26
- Position deleted (11)

#8 - 2011-10-07 19:25 - Dave Vieglais

- Position deleted (40)

- Target version changed from Sprint-2011.37-Block.5 to Sprint-2011.40-Block.5

- Position set to 14

#9 - 2011-10-07 22:28 - Robert Waltz

- Milestone changed from None to CCI-0.6.4

#10 - 2011-10-09 20:43 - Robert Waltz

- Status changed from New to In Progress

#11 - 2011-10-13 01:59 - Robert Waltz

- Status changed from In Progress to Closed
